MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001230VCMIMechanics - Adventure Mappublic2013-03-05 11:442015-10-17 11:45
ReporterIvan 
Assigned ToSXX 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98e 
Summary0001230: Missing creature ability: Nomads allow free movement on sand
DescriptionThis H3 creature ability is still missing.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001371closedWarmonger Missing creature ability: Thieves should give permanent Visions effect 
related to 0002098assignedSXX CGameHandler::moveArtifact don't send information about changed bonuses to client 
related to 0001231resolvedWarmonger Missing creature ability: Crystal Dragons give +3 crystals/week 

-  Notes
(0003437)
Warmonger (administrator)
2013-03-05 18:13

Needs stack->hero prpagator, but most likely also pathfinder checking for specific terrain penalties - not only general "Pathfinding" secondary skill as it is now.
(0004628)
Warmonger (administrator)
2014-03-29 20:40

Just figured out that "HERO" propagator already exists, will check this.
(0005942)
SXX (administrator)
2015-10-14 01:22

Some implementation there:
https://github.com/ArseniyShestakov/vcmi/commit/9cfb7a86b7b24b535fe32d4739c5400c89f28315 [^]

A bit of work on client still needed to make it update path information when Nomads added or removed from army, but I think it's related to "heroBonusChanged ".
(0005946)
SXX (administrator)
2015-10-14 14:53

With Warmonger suggestion applied an updated version:
https://github.com/ArseniyShestakov/vcmi/commit/737b579e71a3d1b4a04d3c882d02aaa6df81e41f [^]
(0005947)
SXX (administrator)
2015-10-14 22:28

Pull request:
https://github.com/vcmi/vcmi/pull/123 [^]
As far as I tested new bonus shouldn't affect saves, but anyway.
(0005959)
SXX (administrator)
2015-10-17 11:45

Fixed:
https://github.com/vcmi/vcmi/commit/8c9f8f22d9467439859b2fdc87cd82251f73383c [^]

- Issue History
Date Modified Username Field Change
2013-03-05 11:44 Ivan New Issue
2013-03-05 18:11 Warmonger Relationship added related to 0001231
2013-03-05 18:13 Warmonger Note Added: 0003437
2013-07-22 08:22 Warmonger Relationship added related to 0001371
2013-07-22 08:31 Warmonger Severity major => feature
2014-03-29 20:40 Warmonger Note Added: 0004628
2014-03-29 20:53 Warmonger Assigned To => Warmonger
2014-03-29 20:53 Warmonger Status new => assigned
2014-03-29 20:53 Warmonger Assigned To Warmonger =>
2014-03-29 20:54 Warmonger Status assigned => new
2015-10-14 00:20 SXX Assigned To => SXX
2015-10-14 00:20 SXX Status new => assigned
2015-10-14 00:23 SXX Category Mechanics - Battles => Mechanics - Adventure Map
2015-10-14 01:22 SXX Note Added: 0005942
2015-10-14 01:23 SXX Relationship added related to 0002098
2015-10-14 14:53 SXX Note Added: 0005946
2015-10-14 22:28 SXX Note Added: 0005947
2015-10-17 11:45 SXX Note Added: 0005959
2015-10-17 11:45 SXX Status assigned => resolved
2015-10-17 11:45 SXX Fixed in Version => 0.98e
2015-10-17 11:45 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean